Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA_ORB_RequestSeq_out Class Reference

`#include <Request.h>`

Collaboration diagram for CORBA_ORB_RequestSeq_out:

[legend]
List of all members.

## Public Methods
| CORBA_ORB_RequestSeq_out (CORBA_ORB_RequestSeq *&)
| CORBA_ORB_RequestSeq_out (CORBA_ORB_RequestSeq_var &)
| CORBA_ORB_RequestSeq_out (CORBA_ORB_RequestSeq_out &)
CORBA_ORB_RequestSeq_out & | operator= (CORBA_ORB_RequestSeq_out &)
CORBA_ORB_RequestSeq_out & | operator= (CORBA_ORB_RequestSeq *)
| operator CORBA_ORB_RequestSeq *& ()
CORBA_ORB_RequestSeq *& | ptr (void)
CORBA_ORB_RequestSeq * | operator-> (void)
CORBA::Octet & | operator[] (CORBA::ULong slot)
## Private Methods
void | operator= (const CORBA_ORB_RequestSeq_var &)
## Private Attributes
CORBA_ORB_RequestSeq *& | ptr_

## Constructor & Destructor Documentation

CORBA_ORB_RequestSeq_out::CORBA_ORB_RequestSeq_out | ( | CORBA_ORB_RequestSeq *& |  | ) |

CORBA_ORB_RequestSeq_out::CORBA_ORB_RequestSeq_out | ( | CORBA_ORB_RequestSeq_var & |  | ) |

CORBA_ORB_RequestSeq_out::CORBA_ORB_RequestSeq_out | ( | CORBA_ORB_RequestSeq_out & |  | ) |

## Member Function Documentation

CORBA_ORB_RequestSeq_out::operator CORBA_ORB_RequestSeq *& | ( |  | ) |

CORBA_ORB_RequestSeq* CORBA_ORB_RequestSeq_out::operator-> | ( | void |  | ) |

void CORBA_ORB_RequestSeq_out::operator= | ( | const CORBA_ORB_RequestSeq_var & |  | ) | `[private]`

CORBA_ORB_RequestSeq_out& CORBA_ORB_RequestSeq_out::operator= | ( | CORBA_ORB_RequestSeq * |  | ) |

CORBA_ORB_RequestSeq_out& CORBA_ORB_RequestSeq_out::operator= | ( | CORBA_ORB_RequestSeq_out & |  | ) |

CORBA::Octet& CORBA_ORB_RequestSeq_out::operator[] | ( | CORBA::ULong | slot | ) |

CORBA_ORB_RequestSeq*& CORBA_ORB_RequestSeq_out::ptr | ( | void |  | ) |

## Member Data Documentation

CORBA_ORB_RequestSeq*& CORBA_ORB_RequestSeq_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- Request.h